#ifndef SHARED_MSG_LINE_H
#define SHARED_MSG_LINE_H

#define CONTINUATION_CHAR 1
#define QUOTE_CHAR '>'

typedef struct line_node
    {
      char *content;
      int reply_level;
      struct line_node *next ;
    }  LINE_NODE;



void alloc_formatted_line (char *line, int do_anchors, int insert_br, char **new_line);
LINE_NODE * free_formatted_line_list();
LINE_NODE * build_formatted_line_list(char *original_msg);
void set_msg_body_data (const char *fullpath, const char *name_prefix, const char *inet_url);
void remove_smart_quotes(char *buffer);


#endif

